All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.information.metadata
Class PhysicalTableAttributes

    com.sas.services.information.metadata.PhysicalTableAttributes

All Implemented Interfaces:
  java.io.Serializable

    public class PhysicalTableAttributes

implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`PhysicalTableAttributes(boolean isCompressed, boolean isEncrypted, boolean isDBMSView, java.lang.String dbmsType, java.lang.String sasTableName, java.lang.String memberType)`

Method Summary
`java.lang.String` | `getDbmsType()`
`java.lang.String` | `getMemberType()`
`java.lang.String` | `getSasTableName()`
`boolean` | `isCompressed()`
`boolean` | `isDBMSView()`
`boolean` | `isEncrypted()`
`void` | `setCompressed(boolean isCompressed)`
`void` | `setDbmsType(java.lang.String dbmsType)`
`void` | `setDBMSView(boolean isDMBSView)`
`void` | `setEncrypted(boolean isEncrypted)`
`void` | `setMemberType(java.lang.String memberType)`
`void` | `setSasTableName(java.lang.String sasTableName)`

Constructor Detail

### PhysicalTableAttributes

    public PhysicalTableAttributes(boolean isCompressed,
                                   boolean isEncrypted,
                                   boolean isDBMSView,
                                   java.lang.String dbmsType,
                                   java.lang.String sasTableName,
                                   java.lang.String memberType)

Method Detail

### getDbmsType

    public final java.lang.String getDbmsType()

  Returns:
    Returns the dbmsType.

### setDbmsType

    public final void setDbmsType(java.lang.String dbmsType)

  Parameters:
    `dbmsType` - The dbmsType to set.

### isCompressed

    public final boolean isCompressed()

  Returns:
    Returns the isCompressed.

### setCompressed

    public final void setCompressed(boolean isCompressed)

  Parameters:
    `isCompressed` - The isCompressed to set.

### isDBMSView

    public final boolean isDBMSView()

  Returns:
    Returns the isDMBSView.

### setDBMSView

    public final void setDBMSView(boolean isDMBSView)

  Parameters:
    `isDMBSView` - The isDMBSView to set.

### isEncrypted

    public final boolean isEncrypted()

  Returns:
    Returns the isEncrypted.

### setEncrypted

    public final void setEncrypted(boolean isEncrypted)

  Parameters:
    `isEncrypted` - The isEncrypted to set.

### getMemberType

    public final java.lang.String getMemberType()

  Returns:
    Returns the memberType.

### setMemberType

    public final void setMemberType(java.lang.String memberType)

  Parameters:
    `memberType` - The memberType to set.

### getSasTableName

    public final java.lang.String getSasTableName()

  Returns:
    Returns the sasTableName.

### setSasTableName

    public final void setSasTableName(java.lang.String sasTableName)

  Parameters:
    `sasTableName` - The sasTableName to set.

*** This class provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.